<?php
/**
 * @package Module EB Sticky Cookie Notice for Joomla!
 * @version 1.4: mod_ebstickycookienotice.php Jul 2020
 * @author url: https://www/extnbakers.com
 * @copyright Copyright (C) 2019 extnbakers.com. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html 
**/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
<?php 
//Get Parameters
 $style = $params->get('opt');
 $position = $params->get('pos');
 $background_color = $params->get('bttnbg');
 $header = $params->get('cookieheader');
 $header_color = $params->get('cookieheadercolor');
 $message = $params->get('cookiemsg');
 $message_color = $params->get('cookiemsgcolor');
 $button = $params->get('btn');
 $button_text_color = $params->get('btntextcolor');
 $button_color = $params->get('btncolor');

 $cookieheaderfontsize = $params->get('cookieheaderfontsize', '18px');
 $cookiemsgfontsize = $params->get('cookiemsgfontsize', '12px');

 $privacypolicy_text = $params->get('privacypolicy_text', '');
 $privacypolicy_link = $params->get('privacypolicy_link', '');
 $privacypolicy_link_link = $privacypolicy_link != '' ? $privacypolicy_link : 'javascript:void(0);';
 $privacypolicy_btntextcolor = $params->get('privacypolicy_btntextcolor');
 $privacypolicy_btnbgcolor = $params->get('privacypolicy_btnbgcolor');
 $privacypolicy_link_target = $params->get('privacypolicy_link_target', 'none');
 $target = '';
 if($privacypolicy_link_target == 'new_window' && $privacypolicy_link != ''){
	$target = 'target="_blank"';
 }



	//Include CSS and JAVASCRIPT
	$document = JFactory::getDocument();	
	$document->addStyleSheet("modules/".$module->module."/tmpl/assets/css/cookie.css");
	$document->addStyleSheet("modules/".$module->module."/tmpl/assets/css/responsive.css");
	$document->addScript("modules/".$module->module."/tmpl/assets/js/cookie_script.js");
	$document->setMetaData( "viewport", "width=device-width, initial-scale=1.0" );

?>

<!--****************************** COOKIES HTML CODE START HERE ******************************-->
<div class="<?php echo $style =="SimpleBar"?"notice_div_simplebar":"notice_div_ribbin"?> <?php echo $position=="Bottom"?"ebsticky_bottom":"ebsticky_top"?>" id="eu_cookies">
  <div class="inner1">
    <div class="inner3 eb_contentwrap">
      <?php if($header!=''){ ?><div class="heading_title"><?php echo $header;?></div><?php } ?>
      <?php if($message!=''){ ?><p><?php echo $message; ?></p><?php } ?>
      
    </div>
<div class="button_message eb_privacypolicy"> 
	<?php if($privacypolicy_text!=''){ ?>
		<a <?php echo $target; ?> href="<?php echo $privacypolicy_link_link; ?>" class="button_cookie eb_papbtn" aria-label="Cookie Policy"><?php echo $privacypolicy_text; ?></a>
    <?php } ?>
    <a class="button_cookie" href="javascript:void(0);" onclick="calltohide()" id="hideme"><?php echo $button;?></a>
	</div>
  </div>
</div>
<!--****************************** COOKIES HTML CODE END HERE ******************************-->

<!--****************************** COOKIES JAVSCRIPT CODE START HERE -- FOR ACCEPT ******************************-->
<script type="text/javascript">
	check_cookie(getBaseURL());
</script>
<!--****************************** COOKIES JAVSCRIPT CODE END HERE ******************************-->

<!--****************************** COOKIES CSS START HERE ******************************-->
<style>
.notice_div_simplebar,.notice_div_ribbin{background:<?php echo $background_color. "!important";?>;}
.inner3 .heading_title{color:<?php echo $header_color. "!important";?>; font-size: <?php echo $cookieheaderfontsize; ?>;}
.inner3 p{color:<?php echo $message_color. "!important";?>; font-size: <?php echo $cookiemsgfontsize; ?>;}
.button_cookie{background:<?php echo $button_color. "!important";?>; color:<?php echo $button_text_color. "!important";?>;}
.eb_papbtn{background:<?php echo $privacypolicy_btnbgcolor. "!important";?>; color:<?php echo $privacypolicy_btntextcolor. "!important";?>;}
</style>
<!--****************************** COOKIES CSS END HERE ******************************-->